# Uses of Interface
org.jmol.api.JmolScriptEditorInterface

Packages that use JmolScriptEditorInterface
Package
Description
org.jmol.api
org.jmol.console
org.jmol.consolejs

## Uses of JmolScriptEditorInterface in org.jmol.api

Methods in org.jmol.api that return JmolScriptEditorInterface
Modifier and Type
Method
Description
`JmolScriptEditorInterface`
JmolAppConsoleInterface.`getScriptEditor()`

## Uses of JmolScriptEditorInterface in org.jmol.console

Classes in org.jmol.console that implement JmolScriptEditorInterface
Modifier and Type
Class
Description
`final class`
`ScriptEditor`
Methods in org.jmol.console that return JmolScriptEditorInterface
Modifier and Type
Method
Description
`abstract JmolScriptEditorInterface`
GenericConsole.`getScriptEditor()`
`JmolScriptEditorInterface`
JmolConsole.`getScriptEditor()`

## Uses of JmolScriptEditorInterface in org.jmol.consolejs

Methods in org.jmol.consolejs that return JmolScriptEditorInterface
Modifier and Type
Method
Description
`JmolScriptEditorInterface`
AppletConsole.`getScriptEditor()`